XAMPP 5.6.12 Enable OLD Mssql functions?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

XAMPP 5.6.12 Enable OLD Mssql functions?

Postby wesman2232 » 04. October 2015 22:31

What I want to do is just to enable the old mssql functions on the latest version of xampp. This is because the server development community for a specific game mostly uses it, and I want to make sure that my code works. (I realize that it's outdated, but I plan to make my website work using either mssql, sqlserv, or odbc depending on user choice. Plus all the noobs can only follow tutorials.)

First off, I know that mssql is disabled in the latest xampp php compile.
I have ntwdblib.dll in the right places, and php_mssql.dll and php_pdo_mssql.dll in the extension folder with their respective lines in php.ini uncommented. Still nothing. I assume it's because php is compiled without mssql.
Is there anyone that could enable that for me, using the configuration commands "--with-mssql" "--with-pdo-mssql" ?
Why not do it myself, you might ask? Well, I've tried actually. I can't seem to get anything to compile without errors, and the step by step tutorials I've followed are either outdated, or they just don't work for xampp.

Second, if the first option is out of the question, how would I go about enabling it?
I know of php_dblib.dll, but I can't seem to get that to work either. I have it set in my php.ini, but its not showing in phpinfo() and it doesn't enable the functions by itself. Do I need to actually install FreeTDS along with it?

Third, I already have sqlserv and odbc working correctly. It's just mssql that's being a pain.

Thanks. I'll try to keep an eye on my post!
Posts: 2
Joined: 04. October 2015 22:15
Operating System: Windows

Re: XAMPP 5.6.12 Enable OLD Mssql functions?

Postby Altrea » 04. October 2015 23:05

This is not possible:

http://php.net/manual/en/intro.mssql.php wrote:This extension is not available anymore on Windows with PHP 5.3 or later.

SQLSRV, an alternative extension for MS SQL connectivity is available from Microsoft: » http://msdn.microsoft.com/en-us/sqlserver/ff657782.aspx.

So you cannot simply compile it into current PHP versions.

There is a point where you have to do a choice either to support one or another environment. Supporting php_sqlsrv is the right way. Drop php_mssql support.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
AF Moderator
Posts: 8243
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: XAMPP 5.6.12 Enable OLD Mssql functions?

Postby wesman2232 » 06. October 2015 19:53

Yes, but you realize a lot of people use AppServ as a base for PHP and Apache installations on Windows. AppServ is really outdated though. It still uses php_mssql.
This is why I would like to know how to re-enable it. A lot of tutorials on there say to install it. My website would support php_mssql if they use AppServ, or if they haven't updated yet. It's a backwards-compatibility thing.

I solely used AppServ until recently because it was a straight-forward installation. XAMPP and WAMP's control panels were just confusing for me.

Maybe I can just install another instance of Apache and just use one at a time. Hmm.
Posts: 2
Joined: 04. October 2015 22:15
Operating System: Windows

Return to XAMPP for Windows

Who is online

Users browsing this forum: zohrapardesi and 53 guests